Get statement
curl --request GET \
--url https://sg.sandbox.api.reap.global/statements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/statements/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_TRANSACTION_FEES",
"origin": "CLIENT",
"status": "PENDING",
"period": {
"from": "2025-03-01",
"to": "2025-03-31"
},
"fields": [
"occurredAt",
"transactionId",
"billAmount"
],
"format": "CSV",
"version": "2025-02-14",
"rowCount": 1842,
"byteSize": 412034,
"dataAsOf": "2025-04-02T03:15:00Z",
"generatedAt": "2025-04-02T03:20:12Z",
"createdAt": "2025-04-02T03:20:00Z",
"updatedAt": "2025-04-02T03:20:12Z"
}{
"error": {
"code": "STATEMENT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Statements
Get statement
Retrieves a statement by id.
GET
/
statements
/
{id}
Get statement
curl --request GET \
--url https://sg.sandbox.api.reap.global/statements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/statements/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_TRANSACTION_FEES",
"origin": "CLIENT",
"status": "PENDING",
"period": {
"from": "2025-03-01",
"to": "2025-03-31"
},
"fields": [
"occurredAt",
"transactionId",
"billAmount"
],
"format": "CSV",
"version": "2025-02-14",
"rowCount": 1842,
"byteSize": 412034,
"dataAsOf": "2025-04-02T03:15:00Z",
"generatedAt": "2025-04-02T03:20:12Z",
"createdAt": "2025-04-02T03:20:00Z",
"updatedAt": "2025-04-02T03:20:12Z"
}{
"error": {
"code": "STATEMENT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Required scope: STATEMENTS_READ
Headers
Response
Statement resource